Upstream information

CVE-2010-0629 at MITRE

Description

Use-after-free vulnerability in kadmin/server/server_stubs.c in kadmind in MIT Kerberos 5 (aka krb5) 1.5 through 1.6.3 allows remote authenticated users to cause a denial of service (daemon crash) via a request from a kadmin client that sends an invalid API version number.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 591049 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • krb5 >= 1.6.3-133.27.1
  • krb5-32bit >= 1.6.3-133.27.1
  • krb5-apps-clients >= 1.6.3-133.27.1
  • krb5-apps-servers >= 1.6.3-133.27.1
  • krb5-client >= 1.6.3-133.27.1
  • krb5-server >= 1.6.3-133.27.1
  • krb5-x86 >= 1.6.3-133.25.1
Patchnames:
slessp0-krb5
SUSE Linux Enterprise Server 11 SP1
  • krb5 >= 1.6.3-133.27.1
  • krb5-32bit >= 1.6.3-133.27.1
  • krb5-apps-clients >= 1.6.3-133.27.1
  • krb5-apps-servers >= 1.6.3-133.27.1
  • krb5-client >= 1.6.3-133.27.1
  • krb5-server >= 1.6.3-133.27.1
  • krb5-x86 >= 1.6.3-133.27.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA krb5
SUSE Linux Enterprise Server 11 SP2
  • krb5 >= 1.6.3-133.48.48.1
  • krb5-32bit >= 1.6.3-133.48.48.1
  • krb5-apps-clients >= 1.6.3-133.48.48.1
  • krb5-apps-servers >= 1.6.3-133.48.48.1
  • krb5-client >= 1.6.3-133.48.48.1
  • krb5-server >= 1.6.3-133.48.48.1
  • krb5-x86 >= 1.6.3-133.48.48.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA krb5
SUSE Linux Enterprise Server 11 SP3
  • krb5 >= 1.6.3-133.49.54.1
  • krb5-32bit >= 1.6.3-133.49.54.1
  • krb5-apps-clients >= 1.6.3-133.49.54.1
  • krb5-apps-servers >= 1.6.3-133.49.54.1
  • krb5-client >= 1.6.3-133.49.54.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.54.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.54.1
  • krb5-server >= 1.6.3-133.49.54.1
  • krb5-x86 >= 1.6.3-133.49.54.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA krb5
SUSE Linux Enterprise Server 11 SP3 GA krb5-plugin-kdb-ldap
SUSE Linux Enterprise Server 11 SP4
  • krb5 >= 1.6.3-133.49.66.1
  • krb5-32bit >= 1.6.3-133.49.66.1
  • krb5-apps-clients >= 1.6.3-133.49.66.1
  • krb5-apps-servers >= 1.6.3-133.49.66.1
  • krb5-client >= 1.6.3-133.49.66.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.66.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.66.1
  • krb5-server >= 1.6.3-133.49.66.1
  • krb5-x86 >= 1.6.3-133.49.66.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA krb5
SUSE Linux Enterprise Server 11 SP4 GA krb5-plugin-kdb-ldap
SUSE Linux Enterprise Software Development Kit 11 SP4
  • krb5-devel >= 1.6.3-133.49.66.1
  • krb5-devel-32bit >= 1.6.3-133.49.66.1
  • krb5-server >= 1.6.3-133.49.66.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA krb5-devel
openSUSE 11.0
  • krb5-debuginfo >= 1.6.3-50.9
  • krb5-debugsource >= 1.6.3-50.9
openSUSE 11.0
  • krb5 >= 1.6.3-50.9
  • krb5-32bit >= 1.6.3-50.9
  • krb5-64bit >= 1.6.3-50.9
  • krb5-apps-clients >= 1.6.3-50.9
  • krb5-apps-servers >= 1.6.3-50.9
  • krb5-client >= 1.6.3-50.9
  • krb5-devel >= 1.6.3-50.9
  • krb5-devel-32bit >= 1.6.3-50.9
  • krb5-devel-64bit >= 1.6.3-50.9
  • krb5-server >= 1.6.3-50.9
openSUSE 11.1
  • krb5-debuginfo >= 1.6.3-132.7.1
  • krb5-debuginfo-32bit >= 1.6.3-132.7.1
  • krb5-debuginfo-64bit >= 1.6.3-132.7.1
  • krb5-debugsource >= 1.6.3-132.7.1
openSUSE 11.1
  • krb5 >= 1.6.3-132.7.1
  • krb5-32bit >= 1.6.3-132.7.1
  • krb5-64bit >= 1.6.3-132.7.1
  • krb5-apps-clients >= 1.6.3-132.7.1
  • krb5-apps-servers >= 1.6.3-132.7.1
  • krb5-client >= 1.6.3-132.7.1
  • krb5-devel >= 1.6.3-132.7.1
  • krb5-devel-32bit >= 1.6.3-132.7.1
  • krb5-devel-64bit >= 1.6.3-132.7.1
  • krb5-server >= 1.6.3-132.7.1
SUSE Linux Enterprise SDK 11 GA
  • krb5-devel >= 1.6.3-133.27.1
  • krb5-server >= 1.6.3-133.27.1
sles11.x86
sles11.x86-64
sles11.ia64
sled11.x86
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.s390x
sle11-sdk.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sled11.x86-64
sle11-sdk.ia64
sles11.ppc
sle11-sdk.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
SAT Patch Nr: 2235
SUSE Linux Enterprise SDK 11 GA
  • krb5-devel >= 1.6.3-133.27.1
sles11.x86
sles11.x86-64
sles11.ia64
sled11.x86
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.s390x
sle11-sdk.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sled11.x86-64
sle11-sdk.ia64
sles11.ppc
sle11-sdk.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
SAT Patch Nr: 2235
SUSE Linux Enterprise SDK 11 GA
  • krb5-devel >= 1.6.3-133.27.1
  • krb5-devel-32bit >= 1.6.3-133.27.1
sles11.x86
sles11.x86-64
sles11.ia64
sled11.x86
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.s390x
sle11-sdk.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sled11.x86-64
sle11-sdk.ia64
sles11.ppc
sle11-sdk.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
SAT Patch Nr: 2235
SUSE Linux Enterprise SDK 11 GA
  • krb5-devel >= 1.6.3-133.27.1
  • krb5-devel-32bit >= 1.6.3-133.27.1
  • krb5-server >= 1.6.3-133.27.1
sles11.x86
sles11.x86-64
sles11.ia64
sled11.x86
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.s390x
sle11-sdk.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sled11.x86-64
sle11-sdk.ia64
sles11.ppc
sle11-sdk.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
SAT Patch Nr: 2235
SUSE Linux Enterprise Desktop 11 GA
  • krb5 >= 1.6.3-133.27.1
  • krb5-client >= 1.6.3-133.27.1
sles11.x86
sles11.x86-64
sles11.ia64
sled11.x86
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.s390x
sle11-sdk.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sled11.x86-64
sle11-sdk.ia64
sles11.ppc
sle11-sdk.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
SAT Patch Nr: 2235
SUSE Linux Enterprise Desktop 11 GA
  • krb5 >= 1.6.3-133.27.1
  • krb5-32bit >= 1.6.3-133.27.1
  • krb5-client >= 1.6.3-133.27.1
sles11.x86
sles11.x86-64
sles11.ia64
sled11.x86
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.s390x
sle11-sdk.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sled11.x86-64
sle11-sdk.ia64
sles11.ppc
sle11-sdk.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
SAT Patch Nr: 2235
SUSE Linux Enterprise Server 11 GA
  • krb5 >= 1.6.3-133.27.1
  • krb5-apps-clients >= 1.6.3-133.27.1
  • krb5-apps-servers >= 1.6.3-133.27.1
  • krb5-client >= 1.6.3-133.27.1
  • krb5-server >= 1.6.3-133.27.1
sles11.x86
sles11.x86-64
sles11.ia64
sled11.x86
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.s390x
sle11-sdk.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sled11.x86-64
sle11-sdk.ia64
sles11.ppc
sle11-sdk.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
SAT Patch Nr: 2235
SUSE Linux Enterprise Server 11 GA
  • krb5 >= 1.6.3-133.27.1
  • krb5-apps-clients >= 1.6.3-133.27.1
  • krb5-apps-servers >= 1.6.3-133.27.1
  • krb5-client >= 1.6.3-133.27.1
  • krb5-server >= 1.6.3-133.27.1
  • krb5-x86 >= 1.6.3-133.27.1
sles11.x86
sles11.x86-64
sles11.ia64
sled11.x86
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.s390x
sle11-sdk.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sled11.x86-64
sle11-sdk.ia64
sles11.ppc
sle11-sdk.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
SAT Patch Nr: 2235
SUSE Linux Enterprise Server 11 GA
  • krb5 >= 1.6.3-133.27.1
  • krb5-32bit >= 1.6.3-133.27.1
  • krb5-apps-clients >= 1.6.3-133.27.1
  • krb5-apps-servers >= 1.6.3-133.27.1
  • krb5-client >= 1.6.3-133.27.1
  • krb5-server >= 1.6.3-133.27.1
sles11.x86
sles11.x86-64
sles11.ia64
sled11.x86
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.s390x
sle11-sdk.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sled11.x86-64
sle11-sdk.ia64
sles11.ppc
sle11-sdk.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
SAT Patch Nr: 2235


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 krb5 Affected
SUSE Linux Enterprise Desktop 10 SP4 krb5 Affected
SUSE Linux Enterprise Desktop 11 GA krb5 Released
SUSE Linux Enterprise Desktop 11 SP1 krb5 Released
SUSE Linux Enterprise Desktop 11 SP2 krb5 Released
SUSE Linux Enterprise Desktop 11 SP3 krb5 Released
SUSE Linux Enterprise Desktop 11 SP4 krb5 Released
SUSE Linux Enterprise SDK 11 GA krb5 Released
SUSE Linux Enterprise SDK 11 SP1 krb5 Released
SUSE Linux Enterprise SDK 11 SP2 krb5 Released
SUSE Linux Enterprise SDK 11 SP3 krb5 Released
SUSE Linux Enterprise SDK 11 SP4 krb5 Released
SUSE Linux Enterprise Server 10 SP3 krb5 Affected
SUSE Linux Enterprise Server 10 SP4 krb5 Affected
SUSE Linux Enterprise Server 10 SP4 LTSS krb5 Affected
SUSE Linux Enterprise Server 11 SP1 krb5 Released
SUSE Linux Enterprise Server 11 SP1 LTSS krb5 Released
SUSE Linux Enterprise Server 11 SP2 krb5 Released
SUSE Linux Enterprise Server 11 SP2 LTSS krb5 Released
SUSE Linux Enterprise Server 11 SP3 krb5 Released
SUSE Linux Enterprise Server 11 SP3 LTSS krb5 Released
SUSE Linux Enterprise Server 11 SP4 krb5 Released
SUSE Linux Enterprise Server for SAP 11 SP2 krb5 Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 krb5 Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 krb5 Released